Bug 1840627 - ExecStopPost not run after exit-failure for forking type [rhel-7.7.z]
Summary: ExecStopPost not run after exit-failure for forking type [rhel-7.7.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.6
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: ---
Assignee: David Tardon
QA Contact: Frantisek Sumsal
URL:
Whiteboard:
Depends On: 1733998
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-27 11:03 UTC by RAD team bot copy to z-stream
Modified: 2020-06-12 13:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1733998
Environment:
Last Closed: 2020-06-12 13:03:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github systemd-rhel rhel-7 pull 113 None closed (#1840627) don't skip ExecStopPost on failure 2020-07-06 00:44:27 UTC
Github systemd systemd issues 4770 None closed We do not go through STOP_POST and for the situations where we do, we do not set the variables we say we will 2020-07-06 00:44:27 UTC
Red Hat Product Errata RHBA-2020:1117 None None None 2020-05-27 11:03:36 UTC
Red Hat Product Errata RHBA-2020:2540 None None None 2020-06-12 13:03:35 UTC

Description RAD team bot copy to z-stream 2020-05-27 11:03:31 UTC
This bug has been copied from bug #1733998 and has been proposed to be backported to 7.7 z-stream (EUS).

Comment 2 Lukáš Nykrýn 2020-05-28 08:38:26 UTC
fix merged to github rhel-7.7 branch -> https://github.com/systemd-rhel/rhel-7/pull/113

Comment 8 errata-xmlrpc 2020-06-12 13:03:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2540


Note You need to log in before you can comment on or make changes to this bug.